export declare const resources: {
    readonly ar: {};
    readonly de: {};
    readonly en: {
        toolbar: {
            alignDropdown: {
                Title: string;
                Description: string;
                LeftAlign: string;
                CenterAlign: string;
                RightAlign: string;
                JustifyAlign: string;
                Outdent: string;
                Indent: string;
            };
            backgroundColorPicker: {
                Description: string;
            };
            blockFormatDropdown: {
                Description: string;
                paragraph: string;
                h1: string;
                h2: string;
                h3: string;
                bullet: string;
                number: string;
                check: string;
                quote: string;
                code: string;
            };
            boldButton: {
                Title: string;
                Description: string;
            };
            codeFormatButton: {
                Description: string;
            };
            insertLinkButton: {
                Description: string;
            };
            italicButton: {
                Title: string;
                Description: string;
            };
            redoButton: {
                Title: string;
                Description: string;
            };
            underlineButton: {
                Title: string;
                Description: string;
            };
            undoButton: {
                Title: string;
                Description: string;
            };
            textColorPicker: {
                Description: string;
            };
            textFormatDropdown: {
                Description: string;
                Options: {
                    Strikethrough: {
                        Label: string;
                        Description: string;
                    };
                    Subscript: {
                        Label: string;
                        Description: string;
                    };
                    Superscript: {
                        Label: string;
                        Description: string;
                    };
                };
            };
            insertDropdown: {
                Title: string;
                Description: string;
                Mode: {
                    Sample: string;
                    URL: string;
                    File: string;
                };
                No_of_rows: string;
                No_of_columns: string;
                Question: string;
                Tweet_URL: string;
                Image_URL: string;
                Image_URL_Alt_Text: string;
                Image_URL_Placeholder: string;
                Image_Upload: string;
                Image_Upload_Alt_Text: string;
                Image_Upload_Placeholder: string;
                YouTube_URL: string;
                Horizontal_Rule: string;
                Image: string;
                Insert_Image: string;
                Excalidraw: string;
                Table: string;
                Insert_Table: string;
                Poll: string;
                Insert_Poll: string;
                Tweet: string;
                Insert_Tweet: string;
                YouTube_Video: string;
                Insert_YouTube_Video: string;
                Equation: string;
                Insert_Equation: string;
                Sticky_Note: string;
            };
            mentionsPlugin: {
                Suggested_mentions: string;
            };
            characterStylesPopupPlugin: {
                Format_text_as_bold: string;
                Format_text_as_italics: string;
                Format_text_to_underlined: string;
                Format_text_with_a_strikethrough: string;
                Format_Subscript: string;
                Format_Superscript: string;
                Insert_code_block: string;
                Insert_link: string;
                Add_comment: string;
            };
            commentPlugin: {
                Hide_Comments: string;
                Show_Comments: string;
                Comments: string;
                No_Comments: string;
                Reply_to_comment: string;
                Delete_Thread: string;
                Delete_Comment: string;
                Delete_Comment_Description: string;
                Type_a_comment: string;
            };
            testRecorderPlugin: {
                Disable_test_recorder: string;
                Enable_test_recorder: string;
                Insert_snapshot: string;
                Copy_to_clipboard: string;
                Download_as_a_file: string;
            };
            tableActionMenuPlugin: {
                column_header: string;
                row_header: string;
                Insert: string;
                above: string;
                below: string;
                left: string;
                right: string;
                Delete_column: string;
                Delete_row: string;
                Delete_table: string;
                column: string;
                row: string;
                columns: string;
                rows: string;
            };
        };
        action: {
            Confirm: string;
            Cancel: string;
            Discard: string;
            Save: string;
            Add: string;
            Remove: string;
            Delete: string;
            Enable: string;
            Disable: string;
            Import: string;
            Speech_To_Text: string;
            speech_To_Text: string;
            Import_Description: string;
            Export: string;
            Export_Description: string;
            Clear: string;
            Clear_Editor: string;
            Clear_Description: string;
            "Read-Only_Mode": string;
            Unlock: string;
            Lock: string;
            "read-Only_Mode": string;
            Confirm_Clear: string;
            Confirm_Discard: string;
            Convert_From_Markdown: string;
            Convert_From_Markdown_Description: string;
            Disconnect: string;
            Connect: string;
            Collaborative: string;
            disconnect: string;
            connect: string;
            Disconnect_From: string;
            Connect_To: string;
            Server: string;
        };
    };
    readonly es: {};
    readonly fr: {
        toolbar: {
            alignDropdown: {
                Title: string;
                Description: string;
                LeftAlign: string;
                CenterAlign: string;
                RightAlign: string;
                JustifyAlign: string;
                Outdent: string;
                Indent: string;
            };
            backgroundColorPicker: {
                Description: string;
            };
            blockFormatDropdown: {
                Description: string;
                paragraph: string;
                h1: string;
                h2: string;
                h3: string;
                bullet: string;
                number: string;
                check: string;
                quote: string;
                code: string;
            };
            boldButton: {
                Title: string;
                Description: string;
            };
            codeFormatButton: {
                Description: string;
            };
            insertLinkButton: {
                Description: string;
            };
            italicButton: {
                Title: string;
                Description: string;
            };
            redoButton: {
                Title: string;
                Description: string;
            };
            underlineButton: {
                Title: string;
                Description: string;
            };
            undoButton: {
                Title: string;
                Description: string;
            };
            textColorPicker: {
                Description: string;
            };
            textFormatDropdown: {
                Description: string;
                Options: {
                    Strikethrough: {
                        Label: string;
                        Description: string;
                    };
                    Subscript: {
                        Label: string;
                        Description: string;
                    };
                    Superscript: {
                        Label: string;
                        Description: string;
                    };
                };
            };
            insertDropdown: {
                Title: string;
                Description: string;
                Mode: {
                    Sample: string;
                    URL: string;
                    File: string;
                };
                No_of_rows: string;
                No_of_columns: string;
                Question: string;
                Tweet_URL: string;
                Image_URL: string;
                Image_URL_Alt_Text: string;
                Image_URL_Placeholder: string;
                Image_Upload: string;
                Image_Upload_Alt_Text: string;
                Image_Upload_Placeholder: string;
                YouTube_URL: string;
                Horizontal_Rule: string;
                Image: string;
                Insert_Image: string;
                Excalidraw: string;
                Table: string;
                Insert_Table: string;
                Poll: string;
                Insert_Poll: string;
                Tweet: string;
                Insert_Tweet: string;
                YouTube_Video: string;
                Insert_YouTube_Video: string;
                Equation: string;
                Insert_Equation: string;
                Sticky_Note: string;
            };
            mentionsPlugin: {
                Suggested_mentions: string;
            };
            characterStylesPopupPlugin: {
                Format_text_as_bold: string;
                Format_text_as_italics: string;
                Format_text_to_underlined: string;
                Format_text_with_a_strikethrough: string;
                Format_Subscript: string;
                Format_Superscript: string;
                Insert_code_block: string;
                Insert_link: string;
                Add_comment: string;
            };
            commentPlugin: {
                Hide_Comments: string;
                Show_Comments: string;
                Comments: string;
                No_Comments: string;
                Reply_to_comment: string;
                Delete_Thread: string;
                Delete_Comment: string;
                Delete_Comment_Description: string;
                Type_a_comment: string;
            };
            testRecorderPlugin: {
                Disable_test_recorder: string;
                Enable_test_recorder: string;
                Insert_snapshot: string;
                Copy_to_clipboard: string;
                Download_as_a_file: string;
            };
            tableActionMenuPlugin: {
                column_header: string;
                row_header: string;
                Insert: string;
                above: string;
                below: string;
                left: string;
                right: string;
                Delete_column: string;
                Delete_row: string;
                Delete_table: string;
                column: string;
                row: string;
                columns: string;
                rows: string;
            };
        };
        action: {
            Confirm: string;
            Cancel: string;
            Discard: string;
            Save: string;
            Add: string;
            Remove: string;
            Delete: string;
            Enable: string;
            Disable: string;
            Import: string;
            Speech_To_Text: string;
            speech_To_Text: string;
            Import_Description: string;
            Export: string;
            Export_Description: string;
            Clear: string;
            Clear_Editor: string;
            Clear_Description: string;
            "Read-Only_Mode": string;
            Unlock: string;
            Lock: string;
            "read-Only_Mode": string;
            Confirm_Clear: string;
            Confirm_Discard: string;
            Convert_From_Markdown: string;
            Convert_From_Markdown_Description: string;
            Disconnect: string;
            Connect: string;
            Collaborative: string;
            disconnect: string;
            Connecter: string;
            Disconnect_From: string;
            Connect_To: string;
            Server: string;
            Add_Option: string;
        };
    };
    readonly it: {};
    readonly ja: {};
    readonly nl: {};
    readonly pl: {};
    readonly pt: {};
    readonly ptBr: {
        toolbar: {
            alignDropdown: {
                Title: string;
                Description: string;
                LeftAlign: string;
                CenterAlign: string;
                RightAlign: string;
                JustifyAlign: string;
                Outdent: string;
                Indent: string;
            };
            backgroundColorPicker: {
                Description: string;
            };
            blockFormatDropdown: {
                Description: string;
                paragraph: string;
                h1: string;
                h2: string;
                h3: string;
                bullet: string;
                number: string;
                check: string;
                quote: string;
                code: string;
            };
            boldButton: {
                Title: string;
                Description: string;
            };
            codeFormatButton: {
                Description: string;
            };
            insertLinkButton: {
                Description: string;
            };
            italicButton: {
                Title: string;
                Description: string;
            };
            redoButton: {
                Title: string;
                Description: string;
            };
            underlineButton: {
                Title: string;
                Description: string;
            };
            undoButton: {
                Title: string;
                Description: string;
            };
            textColorPicker: {
                Description: string;
            };
            textFormatDropdown: {
                Description: string;
                Options: {
                    Strikethrough: {
                        Label: string;
                        Description: string;
                    };
                    Subscript: {
                        Label: string;
                        Description: string;
                    };
                    Superscript: {
                        Label: string;
                        Description: string;
                    };
                };
            };
            insertDropdown: {
                Title: string;
                Description: string;
                Mode: {
                    Sample: string;
                    URL: string;
                    File: string;
                };
                No_of_rows: string;
                No_of_columns: string;
                Question: string;
                Tweet_URL: string;
                Image_URL: string;
                Image_URL_Alt_Text: string;
                Image_URL_Placeholder: string;
                Image_Upload: string;
                Image_Upload_Alt_Text: string;
                Image_Upload_Placeholder: string;
                YouTube_URL: string;
                Horizontal_Rule: string;
                Image: string;
                Insert_Image: string;
                Excalidraw: string;
                Table: string;
                Insert_Table: string;
                Poll: string;
                Insert_Poll: string;
                Tweet: string;
                Insert_Tweet: string;
                YouTube_Video: string;
                Insert_YouTube_Video: string;
                Equation: string;
                Insert_Equation: string;
                Sticky_Note: string;
            };
            mentionsPlugin: {
                Suggested_mentions: string;
            };
            characterStylesPopupPlugin: {
                Format_text_as_bold: string;
                Format_text_as_italics: string;
                Format_text_to_underlined: string;
                Format_text_with_a_strikethrough: string;
                Format_Subscript: string;
                Format_Superscript: string;
                Insert_code_block: string;
                Insert_link: string;
                Add_comment: string;
            };
            commentPlugin: {
                Hide_Comments: string;
                Show_Comments: string;
                Comments: string;
                No_Comments: string;
                Reply_to_comment: string;
                Delete_Thread: string;
                Delete_Comment: string;
                Delete_Comment_Description: string;
                Type_a_comment: string;
            };
            testRecorderPlugin: {
                Disable_test_recorder: string;
                Enable_test_recorder: string;
                Insert_snapshot: string;
                Copy_to_clipboard: string;
                Download_as_a_file: string;
            };
            tableActionMenuPlugin: {
                column_header: string;
                row_header: string;
                Insert: string;
                above: string;
                below: string;
                left: string;
                right: string;
                Delete_column: string;
                Delete_row: string;
                Delete_table: string;
                column: string;
                row: string;
                columns: string;
                rows: string;
            };
        };
        action: {
            Confirm: string;
            Cancel: string;
            Discard: string;
            Save: string;
            Add: string;
            Remove: string;
            Delete: string;
            Enable: string;
            Disable: string;
            Import: string;
            Speech_To_Text: string;
            speech_To_Text: string;
            Import_Description: string;
            Export: string;
            Export_Description: string;
            Clear: string;
            Clear_Editor: string;
            Clear_Description: string;
            "Read-Only_Mode": string;
            Unlock: string;
            Lock: string;
            "read-Only_Mode": string;
            Confirm_Clear: string;
            Confirm_Discard: string;
            Convert_From_Markdown: string;
            Convert_From_Markdown_Description: string;
            Disconnect: string;
            Connect: string;
            Collaborative: string;
            disconnect: string;
            connect: string;
            Disconnect_From: string;
            Connect_To: string;
            Server: string;
        };
    };
    readonly ru: {
        toolbar: {
            alignDropdown: {
                Title: string;
                Description: string;
                LeftAlign: string;
                CenterAlign: string;
                RightAlign: string;
                JustifyAlign: string;
                Outdent: string;
                Indent: string;
            };
            backgroundColorPicker: {
                Description: string;
            };
            blockFormatDropdown: {
                Description: string;
                paragraph: string;
                h1: string;
                h2: string;
                h3: string;
                bullet: string;
                number: string;
                check: string;
                quote: string;
                code: string;
            };
            boldButton: {
                Title: string;
                Description: string;
            };
            codeFormatButton: {
                Description: string;
            };
            insertLinkButton: {
                Description: string;
            };
            italicButton: {
                Title: string;
                Description: string;
            };
            redoButton: {
                Title: string;
                Description: string;
            };
            underlineButton: {
                Title: string;
                Description: string;
            };
            undoButton: {
                Title: string;
                Description: string;
            };
            textColorPicker: {
                Description: string;
            };
            textFormatDropdown: {
                Description: string;
                Options: {
                    Strikethrough: {
                        Label: string;
                        Description: string;
                    };
                    Subscript: {
                        Label: string;
                        Description: string;
                    };
                    Superscript: {
                        Label: string;
                        Description: string;
                    };
                };
            };
            insertDropdown: {
                Title: string;
                Description: string;
                Mode: {
                    Sample: string;
                    URL: string;
                    File: string;
                };
                No_of_rows: string;
                No_of_columns: string;
                Question: string;
                Tweet_URL: string;
                Image_URL: string;
                Image_URL_Alt_Text: string;
                Image_URL_Placeholder: string;
                Image_Upload: string;
                Image_Upload_Alt_Text: string;
                Image_Upload_Placeholder: string;
                YouTube_URL: string;
                Horizontal_Rule: string;
                Image: string;
                Insert_Image: string;
                Excalidraw: string;
                Table: string;
                Insert_Table: string;
                Poll: string;
                Insert_Poll: string;
                Tweet: string;
                Insert_Tweet: string;
                YouTube_Video: string;
                Insert_YouTube_Video: string;
                Equation: string;
                Insert_Equation: string;
                Sticky_Note: string;
            };
            mentionsPlugin: {
                Suggested_mentions: string;
            };
            characterStylesPopupPlugin: {
                Format_text_as_bold: string;
                Format_text_as_italics: string;
                Format_text_to_underlined: string;
                Format_text_with_a_strikethrough: string;
                Format_Subscript: string;
                Format_Superscript: string;
                Insert_code_block: string;
                Insert_link: string;
                Add_comment: string;
            };
            commentPlugin: {
                Hide_Comments: string;
                Show_Comments: string;
                Comments: string;
                No_Comments: string;
                Reply_to_comment: string;
                Delete_Thread: string;
                Delete_Comment: string;
                Delete_Comment_Description: string;
                Type_a_comment: string;
            };
            testRecorderPlugin: {
                Disable_test_recorder: string;
                Enable_test_recorder: string;
                Insert_snapshot: string;
                Copy_to_clipboard: string;
                Download_as_a_file: string;
            };
            tableActionMenuPlugin: {
                column_header: string;
                row_header: string;
                Insert: string;
                above: string;
                below: string;
                left: string;
                right: string;
                Delete_column: string;
                Delete_row: string;
                Delete_table: string;
                column: string;
                row: string;
                columns: string;
                rows: string;
            };
        };
        action: {
            Confirm: string;
            Cancel: string;
            Discard: string;
            Save: string;
            Add: string;
            Remove: string;
            Delete: string;
            Enable: string;
            Disable: string;
            Import: string;
            Speech_To_Text: string;
            speech_To_Text: string;
            Import_Description: string;
            Export: string;
            Export_Description: string;
            Clear: string;
            Clear_Editor: string;
            Clear_Description: string;
            "Read-Only_Mode": string;
            Unlock: string;
            Lock: string;
            "read-Only_Mode": string;
            Confirm_Clear: string;
            Confirm_Discard: string;
            Convert_From_Markdown: string;
            Convert_From_Markdown_Description: string;
            Disconnect: string;
            Connect: string;
            Collaborative: string;
            disconnect: string;
            connect: string;
            Disconnect_From: string;
            Connect_To: string;
            Server: string;
        };
    };
    readonly ukr: {};
    readonly zh: {};
};
export declare const languageDetector: {
    type: string;
    async: boolean;
    detect: (callback: any) => void;
    init: () => void;
    cacheUserLanguage: () => void;
};
declare const i18n: any;
export default i18n;
